RDKit: RDKit::MolStandardize::TautomerEnumeratorResult Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Classes | Public Member Functions | Friends | List of all members
RDKit::MolStandardize::TautomerEnumeratorResult Class Reference

Contains results of tautomer enumeration. More...

`#include <Tautomer.h>`

## Classes
class | const_iterator

## Public Member Functions
| TautomerEnumeratorResult ()
| TautomerEnumeratorResult (const TautomerEnumeratorResult &other)
const const_iterator | begin () const
const const_iterator | end () const
size_t | size () const
bool | empty () const
const ROMOL_SPTR & | at (size_t pos) const
const ROMOL_SPTR & | operator[] (size_t pos) const
const boost::dynamic_bitset & | modifiedAtoms () const
const boost::dynamic_bitset & | modifiedBonds () const
TautomerEnumeratorStatus | status () const
std::vector< ROMOL_SPTR > | tautomers () const
std::vector< ROMOL_SPTR > | operator() () const
std::vector< std::string > | smiles () const
const SmilesTautomerMap & | smilesTautomerMap () const

## Friends
class | TautomerEnumerator

## Detailed Description

Contains results of tautomer enumeration.

Definition at line 125 of file MolStandardize/Tautomer.h.

## Constructor & Destructor Documentation

## ◆ TautomerEnumeratorResult() [1/2]

RDKit::MolStandardize::TautomerEnumeratorResult::TautomerEnumeratorResult | ( |  | ) |
| inline

Definition at line 169 of file MolStandardize/Tautomer.h.

References RDKit::MolStandardize::Completed.

Referenced by TautomerEnumeratorResult().

## ◆ TautomerEnumeratorResult() [2/2]

RDKit::MolStandardize::TautomerEnumeratorResult::TautomerEnumeratorResult | ( | const TautomerEnumeratorResult & | other | ) |
| inline

Definition at line 170 of file MolStandardize/Tautomer.h.

References TautomerEnumeratorResult().

## Member Function Documentation

## ◆ at()

const ROMOL_SPTR & RDKit::MolStandardize::TautomerEnumeratorResult::at | ( | size_t | pos | ) | const
| inline

Definition at line 183 of file MolStandardize/Tautomer.h.

References PRECONDITION.

Referenced by operator[]().

## ◆ begin()

const const_iterator RDKit::MolStandardize::TautomerEnumeratorResult::begin | ( |  | ) | const
| inline

Definition at line 177 of file MolStandardize/Tautomer.h.

## ◆ empty()

bool RDKit::MolStandardize::TautomerEnumeratorResult::empty | ( |  | ) | const
| inline

Definition at line 182 of file MolStandardize/Tautomer.h.

## ◆ end()

const const_iterator RDKit::MolStandardize::TautomerEnumeratorResult::end | ( |  | ) | const
| inline

Definition at line 180 of file MolStandardize/Tautomer.h.

## ◆ modifiedAtoms()

const boost::dynamic_bitset & RDKit::MolStandardize::TautomerEnumeratorResult::modifiedAtoms | ( |  | ) | const
| inline

Definition at line 188 of file MolStandardize/Tautomer.h.

## ◆ modifiedBonds()

const boost::dynamic_bitset & RDKit::MolStandardize::TautomerEnumeratorResult::modifiedBonds | ( |  | ) | const
| inline

Definition at line 191 of file MolStandardize/Tautomer.h.

## ◆ operator()()

std::vector< ROMOL_SPTR > RDKit::MolStandardize::TautomerEnumeratorResult::operator() | ( |  | ) | const
| inline

Definition at line 203 of file MolStandardize/Tautomer.h.

References tautomers().

## ◆ operator[]()

const ROMOL_SPTR & RDKit::MolStandardize::TautomerEnumeratorResult::operator[] | ( | size_t | pos | ) | const
| inline

Definition at line 187 of file MolStandardize/Tautomer.h.

References at().

## ◆ size()

size_t RDKit::MolStandardize::TautomerEnumeratorResult::size | ( |  | ) | const
| inline

Definition at line 181 of file MolStandardize/Tautomer.h.

## ◆ smiles()

std::vector< std::string > RDKit::MolStandardize::TautomerEnumeratorResult::smiles | ( |  | ) | const
| inline

Definition at line 204 of file MolStandardize/Tautomer.h.

## ◆ smilesTautomerMap()

const SmilesTautomerMap & RDKit::MolStandardize::TautomerEnumeratorResult::smilesTautomerMap | ( |  | ) | const
| inline

Definition at line 212 of file MolStandardize/Tautomer.h.

## ◆ status()

TautomerEnumeratorStatus RDKit::MolStandardize::TautomerEnumeratorResult::status | ( |  | ) | const
| inline

Definition at line 194 of file MolStandardize/Tautomer.h.

## ◆ tautomers()

std::vector< ROMOL_SPTR > RDKit::MolStandardize::TautomerEnumeratorResult::tautomers | ( |  | ) | const
| inline

Definition at line 195 of file MolStandardize/Tautomer.h.

Referenced by operator()().

## Friends And Related Symbol Documentation

## ◆ TautomerEnumerator

friend class TautomerEnumerator
| friend

Definition at line 126 of file MolStandardize/Tautomer.h.

References TautomerEnumerator.

Referenced by TautomerEnumerator.

The documentation for this class was generated from the following file:

- MolStandardize/Tautomer.h